document.addEventListener('DOMContentLoaded', () => {
  const questions = document.querySelectorAll('.question');
  const resultText = document.getElementById('result-text');
  let engineeringScore = 0;
  let spiritualityScore = 0;

  questions.forEach((question, index) => {
    const buttons = question.querySelectorAll('button');
    buttons.forEach(button => {
      button.addEventListener('click', () => {
        if (button.dataset.value === 'engineering') {
          engineeringScore++;
        } else {
          spiritualityScore++;
        }
        question.style.display = 'none';
        if (index === questions.length - 1) {
          showResult();
        }
      });
    });
  });

  function showResult() {
    if (engineeringScore > spiritualityScore) {
      resultText.textContent = 'Continue Engineering';
    } else if (spiritualityScore > engineeringScore) {
      resultText.textContent = 'Switch to Spirituality (ISKCON)';
    } else {
      resultText.textContent = 'Take more time to reflect. Both paths have value.';
    }
  }
});